Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/checkout \
--header 'Authorization: Bearer <token>'{
"data": {
"order": {
"uuid": "a498a6ae-b40b-3b5e-966d-70792ca08e78",
"status": "draft",
"placed_at": "2025-06-14T00:04:01.0000000+00:00",
"expires_at": "2026-03-11T14:05:30.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"remaining_total": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"total_before_tax": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
]
},
"payment_response": {
"key": "value"
}
}
}Checkout the Order.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/checkout \
--header 'Authorization: Bearer <token>'{
"data": {
"order": {
"uuid": "a498a6ae-b40b-3b5e-966d-70792ca08e78",
"status": "draft",
"placed_at": "2025-06-14T00:04:01.0000000+00:00",
"expires_at": "2026-03-11T14:05:30.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"remaining_total": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"total_before_tax": {
"currency": "USD",
"amount": "5721.00",
"amount_minor": 572100
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
]
},
"payment_response": {
"key": "value"
}
}
}